Tryton - Issues

 

Issue7589

Title 'Clipboard' object has no attribute 'set_with_data'
Priority bug Status resolved
Superseder Nosy List albertca, angel, ced, reviewbot, roundup-bot, smn
Type crash Components tryton
Assigned To ced Keywords GTK3, easy, review
Reviews 66381002
View: 66381002

Created on 2018-07-24.16:09:42 by angel, last changed by ced.

Messages
msg44394 (view) Author: [hidden] (albertca) (Tryton committer) (Tryton translator) Date: 2018-10-15.11:49:41
Sorry, that was already done.
msg44392 (view) Author: [hidden] (albertca) (Tryton committer) (Tryton translator) Date: 2018-10-15.11:25:46
I think the patch should be backported to 4.8.
New changeset 0cf6283698b9 by Cédric Krier in branch '4.8':
Remove usage of Clipboard set_with_data
https://hg.tryton.org/tryton/rev/0cf6283698b9
msg44256 (view) Author: [hidden] (smn) Date: 2018-10-01.17:09:32
Is it susceptible to backport to 4.8?
New changeset e992ad07a3d5 by Cédric Krier in branch 'default':
Remove usage of Clipboard set_with_data
https://hg.tryton.org/tryton-env/rev/e992ad07a3d5
New changeset b49904ddeec0 by Cédric Krier in branch 'default':
Remove usage of Clipboard set_with_data
https://hg.tryton.org/tryton/rev/b49904ddeec0
review66381002 updated at https://codereview.tryton.org/66381002/#ps1
msg42272 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2018-07-24.16:47:18
Indeed the method is not exposed for introspection: https://developer.gnome.org/gtk3/stable/gtk3-Clipboards.html#gtk-clipboard-set-with-data
So I guess we have to use always set_text which is slower and blocking for large data.
msg42271 (view) Author: [hidden] (angel) Date: 2018-07-24.16:09:42
Version 4.8

To reproduce:
On products (1400 products), just Ctrl + A  and Ctrl + c


Traceback (most recent call last):
  File "/home/aaaaa/projectes/bbbb/tryton/tryton/gui/window/view_form/view/list.py", line 647, in on_keypress
    self.on_copy()
  File "/home/aaaa/projectes/bbbb/tryton/tryton/gui/window/view_form/view/list.py", line 696, in on_copy
    clipboard.set_with_data(targets, self.copy_get_func,
AttributeError: 'Clipboard' object has no attribute 'set_with_data'
History
Date User Action Args
2018-10-15 13:23:40cedsetstatus: chatting -> resolved
2018-10-15 11:49:41albertcasetstatus: resolved -> chatting
messages: + msg44394
2018-10-15 11:26:33cedsetstatus: chatting -> resolved
2018-10-15 11:25:47albertcasetstatus: resolved -> chatting
nosy: + albertca
messages: + msg44392
2018-10-04 15:45:15roundup-botsetstatus: chatting -> resolved
messages: + msg44323
2018-10-01 17:09:32smnsetstatus: resolved -> chatting
nosy: + smn
messages: + msg44256
2018-09-19 09:11:31roundup-botsetmessages: + msg43967
2018-09-19 09:11:29roundup-botsetstatus: testing -> resolved
nosy: + roundup-bot
messages: + msg43966
2018-09-16 22:58:54reviewbotsetnosy: + reviewbot
messages: + msg43911
2018-09-16 22:33:39cedsetstatus: chatting -> testing
reviews: 66381002
keyword: + GTK3, review
assignedto: ced

Showing 10 items. Show all history (warning: this could be VERY long)